Bug 855668 - yum crashes after upgrade to yum-3.4.3-29.fc17.noarch
yum crashes after upgrade to yum-3.4.3-29.fc17.noarch
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-paste (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 15:10 EDT by Need Real Name
Modified: 2016-09-19 22:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace yum -y update (36.89 KB, text/plain)
2012-09-09 15:10 EDT, Need Real Name
no flags Details
strace python (37.02 KB, text/plain)
2012-09-10 11:54 EDT, Need Real Name
no flags Details
strace python (37.45 KB, text/plain)
2012-09-10 12:05 EDT, Need Real Name
no flags Details
the problem is in abrt-addon-python (62.58 KB, text/plain)
2012-09-10 12:08 EDT, Need Real Name
no flags Details
pythomn works, but yum still fails (56.94 KB, text/plain)
2012-09-10 12:11 EDT, Need Real Name
no flags Details
attached lib (1.67 MB, application/octet-stream)
2012-09-11 08:12 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2012-09-09 15:10:00 EDT
After an updated to yum-3.4.3-29.fc17.noarch
on 
uname -a
Linux XXX 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug 29 18:46:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

yum crashes

 yum -y update
Segmentation fault
dmesg |tail
[17084.912159] yum[4525]: segfault at fffffffffffa6304 ip 00000039418e06d8 sp 00000000072ef468 error 4 in libpython2.7.so.1.0[3941800000+16c000]
Comment 1 Need Real Name 2012-09-09 15:10:39 EDT
Created attachment 611273 [details]
strace yum -y update
Comment 2 Zdeněk Pavlas 2012-09-10 03:23:20 EDT
I don't think this is a Yum issue, python crashes too early.  Can you start an interactive python session at all?

It seems python SEGVs right after importing /usr/lib/python2.7/site-packages/Paste-1.7.5.1-py2.7-nspkg.pth, maybe uninstall/downgrade of python-paste (with RPM, as Yum is broken) could help.
Comment 3 Need Real Name 2012-09-10 11:54:30 EDT
Created attachment 611478 [details]
strace python

 strace python >/tmp/python.txt 2>&1
Segmentation fault
Comment 4 Need Real Name 2012-09-10 11:59:20 EDT
 rpm -qf /usr/lib/python2.7/site-packages/Paste-1.7.5.1-py2.7-nspkg.pth --last
python-paste-1.7.5.1-6.20111221hg1498.fc17    Tue 01 May 2012 06:34:57 PM EDT
[tmp]# rpm -e python-paste
error: Failed dependencies:
        python-paste is needed by (installed) python-beaker-1.5.4-3.fc17.noarch
        python-paste is needed by (installed) smolt-1.4.3-6.fc17.noarch
[tmp]# rpm -e python-paste --nodeps
[tmp]# python
Segmentation fault
[tmp]# python >/tmp/python2.txt 
Segmentation fault
[tmp]# 

/tmp/python2.txt is empty
Comment 5 Need Real Name 2012-09-10 12:05:57 EDT
Created attachment 611480 [details]
strace python

rpm -e python-paste python-beaker  python-mako  smolt  smolt-firstboot  rhythmbox
[tmp]# python
Segmentation fault


 strace python >/tmp/python2.txt 2>&1
Segmentation fault
Comment 6 Need Real Name 2012-09-10 12:08:59 EDT
Created attachment 611482 [details]
the problem is in  abrt-addon-python

the problem is in  abrt-addon-python

rpm -e abrt-addon-python
error: Failed dependencies:
        abrt-addon-python is needed by (installed)  abrt-desktop2.0.12-1.fc17.x86_64
[tmp]# rpm -e abrt-addon-python abrt-desktop
[tmp]# strace python >/tmp/python3.txt 2>&1

works OK, no segmentation failure
Comment 7 Need Real Name 2012-09-10 12:11:19 EDT
Created attachment 611483 [details]
pythomn works, but yum still fails

 strace yum -y update >/tmp/python4.txx 2>&1
Segmentation fault
Comment 8 Need Real Name 2012-09-10 12:18:57 EDT
These are recently updated python packages

rpm -qa --last | grep python
abrt-addon-python-2.0.12-1.fc17               Thu 30 Aug 2012 02:58:13 PM EDT
libreport-python-2.0.13-2.fc17                Thu 30 Aug 2012 02:58:05 PM EDT
python-urlgrabber-3.9.1-16.fc17               Sun 26 Aug 2012 12:49:04 PM EDT
python-BeautifulSoup-3.2.1-3.fc17             Fri 10 Aug 2012 06:59:57 PM EDT
python-httplib2-0.7.4-6.fc17                  Fri 10 Aug 2012 06:59:51 PM EDT
python-devel-2.7.3-7.2.fc17                   Sat 04 Aug 2012 12:51:25 PM EDT
python-2.7.3-7.2.fc17                         Sat 04 Aug 2012 12:51:14 PM EDT


yum downgrade also does not help 

rpm -e yum --nodeps
warning: /etc/yum.conf saved as /etc/yum.conf.rpmsave
[tmp]# rpm -Uvh http://mirror.yandex.ru/fedora/linux/releases/17/Fedora/x86_64/os/Packages/y/yum-3.4.3-23.fc17.noarch.rpm
Retrieving http://mirror.yandex.ru/fedora/linux/releases/17/Fedora/x86_64/os/Packages/y/yum-3.4.3-23.fc17.noarch.rpm
Preparing...                ########################################### [100%]
   1:yum                    ########################################### [100%]
[tmp]# yum -y update
Segmentation fault
Comment 9 Need Real Name 2012-09-10 22:16:31 EDT
checking integrity I see this:

prelink: /usr/lib64/libpython2.7.so.1.0: prelinked file was modified
S.?......    /usr/lib64/libpython2.7.so.1.0


complete 
rpm --verify --all gives
S.5....T.  c /etc/crontab
.......T.    /lib/modules/3.5.2-1.fc17.x86_64/modules.devname
.......T.    /lib/modules/3.5.2-1.fc17.x86_64/modules.softdep
S.5....T.  c /etc/pulse/default.pa
..5....T.  c /etc/systemd/system.conf
S.5....T.  c /etc/printcap
S.5....T.  c /etc/services
S.5....T.  c /etc/ssh/sshd_config
.......T.    /lib/modules/3.5.2-3.fc17.x86_64/modules.devname
.......T.    /lib/modules/3.5.2-3.fc17.x86_64/modules.softdep
S.5....T.  c /etc/plymouth/plymouthd.conf
S.5....T.  c /etc/maven/maven2-depmap.xml
.......T.  c /etc/chrony.conf
S.5....T.  c /etc/pulse/client.conf
.M.......    /sys
....L....    /usr/lib64/liblber-2.4.so.2
....L....    /usr/lib64/libldap-2.4.so.2
....L....    /usr/lib64/libldap_r-2.4.so.2
....L....    /usr/lib64/libslapi-2.4.so.2
S.5....T.  c /etc/ipsec.conf
.......T.    /lib/modules/3.5.3-1.fc17.x86_64/modules.devname
.......T.    /lib/modules/3.5.3-1.fc17.x86_64/modules.softdep
prelink: /usr/lib64/liblockfile.so.1.0: at least one of file's dependencies has changed since prelinking
S.?......    /usr/lib64/liblockfile.so.1.0
.M.......  c /etc/cups/subscriptions.conf
missing     /var/run/wpa_supplicant
.......T.  c /root/.bash_profile
S.5....T.  c /root/.bashrc
.M....G..    /var/log/gdm
.M.......    /var/run/gdm
missing     /var/run/gdm/greeter
S.5....T.  c /etc/asound.conf
S.5....T.  c /etc/screenrc
prelink: /usr/lib64/libgpgme-pthread.so.11.7.0: at least one of file's dependencies has changed since prelinking
S.?......    /usr/lib64/libgpgme-pthread.so.11.7.0
S.5....T.    /usr/share/ipmiutil/ipmiutil.env
S.5....T.  c /etc/sysconfig/lm_sensors
S.5....T.  c /etc/httpd/conf/httpd.conf
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/postlogin
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
......G..    /var/run/openvpn
S.5....T.  c /etc/smartd.conf
missing     /var/run/NetworkManager
prelink: /usr/lib64/libpython2.7.so.1.0: prelinked file was modified
S.?......    /usr/lib64/libpython2.7.so.1.0
.M.......    /var/run/svnserve
Comment 10 Need Real Name 2012-09-10 22:25:24 EDT
After reinstallation of python-libs yum started to work

rpm -Uvh http://fedora-mirror02.rbc.ru/pub/fedora/linux/updates/17/x86_64/python-libs-2.7.3-7.2.fc17.x86_64.rpm
Retrieving http://fedora-mirror02.rbc.ru/pub/fedora/linux/updates/17/x86_64/python-libs-2.7.3-7.2.fc17.x86_64.rpm
Preparing...                ########################################### [100%]
   1:python-libs            ########################################### [100%]
/sbin/ldconfig: /lib64/libpython2.7.so.1.0 is not a symbolic link
Comment 11 Need Real Name 2012-09-11 08:12:14 EDT
Created attachment 611743 [details]
attached lib

Attached 
 usr/lib64/libpython2.7.so.1.0
which caused the problem.

original from .rpm (size 1746840)
sha1sum usr/lib64/libpython2.7.so.1.0 
4347026afc43ea5adaa4e61a2906ff44d767f137  usr/lib64/libpython2.7.so.1.0


The one which failed (size 1749600)
sha1sum /usr/lib64/libpython2.7.so.1.0.CCCC
3970ee9796142bd7830306b561f33a6c499a9bec  /usr/lib64/libpython2.7.so.1.0.CCCC


currently  working OK (after prelink of original libpython2.7.so.1.0)
size 1749600
sha1sum /usr/lib64/libpython2.7.so.1.0
7eaba5d83fbe122b8bb6938221b06e8351e94059  /usr/lib64/libpython2.7.so.1.0


Can you look what was the problem with /usr/lib64/libpython2.7.so.1.0.CCCC
is this a prelink failure or other?
Comment 12 Fedora End Of Life 2013-07-03 19:55:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-01-09 12:21:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 09:27:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.